Package qsardes.util

# Class UtilsCalc

java.lang.Object
qsardes.util.UtilsCalc

public final class UtilsCalc extends Object
Calculation utilities.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UtilsCalc()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `are_all_matrix_values_valid(double[][] matrix)`
  Checks if all elements in a matrix are not infinite and are number.
  `double`
  `calc_abs_sum(double[] values)`
  Gets the sum of absolute values in an array.
  `double`
  `calc_ad_sum(double[] eig_values)`
  Gets the average centered values in an array.
  `double`
  `calc_average(double[] values)`
  Gets the average of values in an array.
  `double[]`
  `calc_centered_values(double[] values)`
  Gets the average centered values in an array.
  `double`
  `calc_col_abs_sum(double[][] array, int col_idx)`
  Gets the sum of a column absolute values in a matrix.
  `double`
  `calc_col_sum(double[][] array, int col_idx)`
  Gets the sum of a column values in a matrix.
  `double`
  `calc_ee_lse_exp_sum(double[] eig_values)`
  Gets the sum of the exponential part of the Log-Sum-Exp function.
  `double`
  `calc_sum(double[] values)`
  Gets the sum of values in an array.
  `double`
  `calc_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, double[][] eig_vec_array, int eig_index)`
  Gets the Randic-like eigenvector-based index.
  `double`
  `get_max(double[] values)`
  Gets the biggest value in an array.
  `int`
  `get_max(int[] values)`
  Gets the biggest value in an array.
  `double`
  `get_min(double[] values)`
  Gets the smallest value in an array.
  `int`
  `get_min(int[] values)`
  Gets the smallest value in an array.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UtilsCalc

    public UtilsCalc()

- ## Method Details

  - ### get_min

    public int get_min(int[] values)
    Gets the smallest value in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### get_max

    public int get_max(int[] values)
    Gets the biggest value in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### get_min

    public double get_min(double[] values)
    Gets the smallest value in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### get_max

    public double get_max(double[] values)
    Gets the biggest value in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### calc_sum

    public double calc_sum(double[] values)
    Gets the sum of values in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### calc_abs_sum

    public double calc_abs_sum(double[] values)
    Gets the sum of absolute values in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### calc_average

    public double calc_average(double[] values)
    Gets the average of values in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### calc_centered_values

    public double[] calc_centered_values(double[] values)
    Gets the average centered values in an array.
    Parameters:
      `values` - array of values
    Returns:

  - ### calc_ad_sum

    public double calc_ad_sum(double[] eig_values)
    Gets the average centered values in an array.
    Parameters:
      `eig_values` - array of eigenvalues
    Returns:

  - ### calc_col_sum

    public double calc_col_sum(double[][] array, int col_idx)
    Gets the sum of a column values in a matrix.
    Parameters:
      `array` - matrix
      `col_idx` - column index
    Returns:

  - ### calc_col_abs_sum

    public double calc_col_abs_sum(double[][] array, int col_idx)
    Gets the sum of a column absolute values in a matrix.
    Parameters:
      `array` - matrix
      `col_idx` - column index
    Returns:

  - ### calc_ee_lse_exp_sum

    public double calc_ee_lse_exp_sum(double[] eig_values)
    Gets the sum of the exponential part of the Log-Sum-Exp function.
    Parameters:
      `eig_values` - array of eigenvaluesreal part
    Returns:

  - ### calc_vr1_sum

    public double calc_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, double[][] eig_vec_array, int eig_index)
    Gets the Randic-like eigenvector-based index.
    Parameters:
      `iac` - chemical defined as CDK atom container
      `eig_vec_array` - eigenvector matrix as returned by Jama
    Returns:

  - ### are_all_matrix_values_valid

    public boolean are_all_matrix_values_valid(double[][] matrix)
    Checks if all elements in a matrix are not infinite and are number.
    Parameters:
      `matrix` -
    Returns: